import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading MicroplexSpeedToGeneric Converter")

class MicroplexSpeedToGeneric(Converter):
    def Execute(self, args):
        if args == None or args[0] == None:
            return

        value = float(args[0])*2.54
        return value



plugin = MicroplexSpeedToGeneric("MicroplexSpeedToGeneric")

store.AddConverter(plugin)